---
title: HTML Imports
slug: Web/Web_Components/HTML_Imports
tags:
  - Web Components
---
<p>{{DefaultAPISidebar("Web Components")}}</p>

<div class="blockIndicator obsolete">
<p><strong>Obsolete since Google Chrome 73</strong><br>
 This feature is obsolete. Although it may still work in some browsers, its use is discouraged since it could be removed at any time. Try to avoid using it.</p>
</div>

<div class="notecard warning">
<p>Firefox will not ship <em>HTML Imports</em> in its current form. See this <a href="https://hacks.mozilla.org/2015/06/the-state-of-web-components/">status update</a> for more information. Until there is a consensus on the standard or alternative mechanisms are worked out, you can use a polyfill such as Google's <code><a href="https://github.com/webcomponents/webcomponentsjs">webcomponents.js</a></code>.</p>
</div>

<p><em>HTML Imports</em> is intended to be the packaging mechanism for <a href="/en-US/docs/Web/Web_Components">web components</a>, but you can also use HTML Imports by itself.</p>

<p>You import an HTML file by using a <a href="/en-US/docs/Web/HTML/Element/link"><code>&lt;link&gt;</code></a> tag in an HTML document like this: </p>

<pre>&lt;link rel="import" href="myfile.html"&gt;</pre>

<p>The <code>import</code> link type is new.</p>

<h2 id="Specifications">Specifications</h2>

<table class="spec-table standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("HTML Imports")}}</td>
   <td>{{Spec2("HTML Imports")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("html.elements.link.rel.import")}}</p>
